Subject: Re: [PATCH v7 26/30] t/helper/hexdump: add helper to print hexdump of stdin

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 May 2022 12:52:03 -0700

Johannes Schindelin <[email-masked]> writes:

> Do you know of any `grep` implementation that has problems with text
> missing the usual trailing newlines?

I recall that we had reports on BSD variants, but please do not
quote me on that.  Perhaps all the BSD variants are good now, or
perhaps some aren't.

In any case, I do not take the "if it works on Windows and Linux, we
do not care about the rest of the world" world view, so finding the
answer to that question unfortunately does not give much input to
the issue in either way.

And in this particular case, it is much simpler to mak sure that the
file does not end in an incomplete line than us exchanging e-mails
back and forth, so that would be the most economical solution I
would prefer.

Thanks.